Subject: bug#30462: closed (Re: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Mar 2018 10:50:01 +0000

Your bug report

#30462: flyspell-auto-correct-word 'corrects' more than the current word

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30462: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30462
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 03 Mar 2018 12:49:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 20 Feb 2018 06:08:26 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > Please try the patch below (you will need to byte-compile flyspell.el
> > > after applying the patch).  If it gives good results, please run with
> > > it for a while and see if there are any problems left.  If this change
> > > has no adverse effects, I will push it.
> > 
> > It does fix the scenarios I could come up with. Looks like a good change 
> > to me, thanks!
> 
> Thanks for testing.  I will wait a few more days before pushing.

Pushed to the release branch.

Subject: flyspell-auto-correct-word 'corrects' more than the current word
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Thu, 15 Feb 2018 14:24:25 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

    C-M-i (translated from <escape> <tab>) runs the command
    flyspell-auto-correct-word (found in flyspell-mode-map), which is an
    interactive compiled Lisp function in ‘flyspell.el’.

    It is bound to C-., C-M-i.

    (flyspell-auto-correct-word)

    Correct the current word.
    This command proposes various successive corrections for the current word.

Well it turns out if the current word is already correct, then it
searches backward up to several sentences looking for another word that
it can correct.

Which can have disastrous consequences when the boss reads the final
draft of what you sent him.

Therefore it would be best if this command would limit its helpfulness
to what it says in the docstring: the current word.

Which to me means not some word 30 words back.